// Copyright (c) 2022, Kato Shinya. All rights reserved.
// Use of this source code is governed by a
// BSD-style license that can be found in the LICENSE file.

/// The convenient enum of 256 colors for Xterm prompt (console).
///
/// Colors from 0 to 15 are system colors, and the color code is equal to the order
/// of the elements in this enum.
enum ConsoleColor {
  black,
  maroon,
  green,
  olive,
  navy,
  purple0,
  teal,
  silver,
  grey,
  red,
  lime,
  yellow,
  blue,
  fuchsia,
  aqua,
  white,
  grey0,
  navyBlue,
  darkBlue,
  blue30,
  blue31,
  blue1,
  darkGreen,
  deepSkyBlue40,
  deepSkyBlue41,
  deepSkyBlue42,
  dodgerBlue3,
  dodgerBlue2,
  green4,
  springGreen4,
  turquoise4,
  deepSkyBlue30,
  deepSkyBlue31,
  dodgerBlue1,
  green30,
  springGreen30,
  darkCyan,
  lightSeaGreen,
  deepSkyBlue2,
  deepSkyBlue1,
  green31,
  springGreen31,
  springGreen20,
  cyan3,
  darkTurquoise,
  turquoise2,
  green1,
  springGreen21,
  springGreen1,
  mediumSpringGreen,
  cyan2,
  cyan1,
  darkRed0,
  deepPink40,
  purple40,
  purple41,
  purple3,
  blueViolet,
  orange40,
  grey37,
  mediumPurple4,
  slateBlue30,
  slateBlue31,
  royalBlue1,
  chartreuse4,
  darkSeaGreen40,
  paleTurquoise4,
  steelBlue,
  steelBlue3,
  cornflowerBlue,
  chartreuse30,
  darkSeaGreen41,
  cadetBlue0,
  cadetBlue1,
  skyBlue3,
  steelBlue10,
  chartreuse31,
  paleGreen30,
  seaGreen3,
  aquamarine3,
  mediumTurquoise,
  steelBlue11,
  chartreuse20,
  seaGreen2,
  seaGreen10,
  seaGreen11,
  aquamarine10,
  darkSlateGray2,
  darkRed1,
  deepPink41,
  darkMagenta0,
  darkMagenta1,
  darkViolet0,
  purple1,
  orange41,
  lightPink4,
  plum4,
  mediumPurple30,
  mediumPurple31,
  slateBlue1,
  yellow40,
  wheat4,
  grey53,
  lightSlateGrey,
  mediumPurple,
  lightSlateBlue,
  yellow41,
  darkOliveGreen30,
  darkSeaGreen,
  lightSkyBlue30,
  lightSkyBlue31,
  skyBlue2,
  chartreuse21,
  darkOliveGreen31,
  paleGreen31,
  darkSeaGreen30,
  darkSlateGray3,
  skyBlue1,
  chartreuse1,
  lightGreen0,
  lightGreen1,
  paleGreen10,
  aquamarine11,
  darkSlateGray1,
  red30,
  deepPink42,
  mediumVioletRed,
  magenta30,
  darkViolet1,
  purple2,
  darkOrange30,
  indianRed0,
  hotPink30,
  mediumOrchid3,
  mediumOrchid,
  mediumPurple20,
  darkGoldenrod,
  lightSalmon30,
  rosyBrown,
  grey63,
  mediumPurple21,
  mediumPurple1,
  gold30,
  darkKhaki,
  navajoWhite3,
  grey69,
  lightSteelBlue3,
  lightSteelBlue,
  yellow3,
  darkOliveGreen32,
  darkSeaGreen31,
  darkSeaGreen20,
  lightCyan3,
  lightSkyBlue1,
  greenYellow,
  darkOliveGreen2,
  paleGreen11,
  darkSeaGreen21,
  darkSeaGreen10,
  paleTurquoise1,
  red31,
  deepPink30,
  deepPink31,
  magenta31,
  magenta32,
  magenta20,
  darkOrange31,
  indianRed10,
  hotPink31,
  hotPink2,
  orchid,
  mediumOrchid10,
  orange3,
  lightSalmon31,
  lightPink3,
  pink3,
  plum3,
  violet,
  gold3,
  lightGoldenrod3,
  tan,
  mistyRose3,
  thistle3,
  plum2,
  yellow31,
  khaki3,
  lightGoldenrod20,
  lightYellow3,
  grey84,
  lightSteelBlue1,
  yellow2,
  darkOliveGreen10,
  darkOliveGreen11,
  darkSeaGreen11,
  honeydew2,
  lightCyan1,
  red1,
  deepPink2,
  deepPink10,
  deepPink11,
  magenta21,
  magenta1,
  orangeRed1,
  indianRed11,
  indianRed12,
  hotPink0,
  hotPink1,
  mediumOrchid11,
  darkOrange,
  salmon1,
  lightCoral,
  paleVioletRed1,
  orchid2,
  orchid1,
  orange1,
  sandyBrown,
  lightSalmon1,
  lightPink1,
  pink1,
  plum1,
  gold1,
  lightGoldenrod21,
  lightGoldenrod22,
  navajoWhite1,
  mistyRose1,
  thistle1,
  yellow1,
  lightGoldenrod1,
  khaki1,
  wheat1,
  cornSilk1,
  grey100,
  grey3,
  grey7,
  grey11,
  grey15,
  grey19,
  grey23,
  grey27,
  grey30,
  grey35,
  grey39,
  grey42,
  grey46,
  grey50,
  grey54,
  grey58,
  grey62,
  grey66,
  grey70,
  grey74,
  grey78,
  grey82,
  grey85,
  grey89,
  grey93,
}

extension ConsoleColorFeature on ConsoleColor {
  /// Returns this color code.
  int get code => index;
}
